%define oname IPy

Summary:        Python module for handling IPv4 and IPv6 Addresses and Networks
Name:           python-%{oname}
Version:        0.81
Release:        %mkrel 11
Epoch:          0
URL:            https://github.com/haypo/python-ipy/
Source0:        https://pypi.python.org/packages/source/I/IPy/IPy-%{version}.tar.gz
License:        BSD
Group:          Development/Python
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildArch:      noarch

%description
IPy is a Python module for handling IPv4 and IPv6 Addresses and Networks
in a fashion similar to perl's Net::IP and friends. The IP class allows
a comfortable parsing and handling for most notations in use for IPv4
and IPv6 Addresses and Networks.

%package -n python3-%{oname}
Summary:        Python 3  module for handling IPv4 and IPv6 Addresses and Networks
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description -n python3-%{oname}
IPy is a Python 3 module for handling IPv4 and IPv6 Addresses and Networks
in a fashion similar to perl's Net::IP and friends. The IP class allows
a comfortable parsing and handling for most notations in use for IPv4
and IPv6 Addresses and Networks.

%prep
%setup -q -n %{oname}-%{version}
cp -a . %{py3dir} 

%build
CFLAGS="%{optflags}" %{__python} setup.py build

pushd %{py3dir}
CFLAGS="%{optflags}" %{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd

%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc AUTHORS COPYING ChangeLog PKG-INFO README
%{python_sitelib}/%{oname}*

%files -n python3-%{oname}
%doc AUTHORS COPYING ChangeLog PKG-INFO README
%{python3_sitelib}/



%changelog
* Fri Feb 19 2016 umeabot <umeabot> 0:0.81-11.mga6
+ Revision: 970866
- Mageia 6 Mass Rebuild

* Sat Oct 10 2015 tv <tv> 0:0.81-10.mga6
+ Revision: 888743
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0:0.81-9.mga5
+ Revision: 744847
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0:0.81-8.mga5
+ Revision: 728773
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0:0.81-7.mga5
+ Revision: 687874
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0:0.81-6.mga5
+ Revision: 629717
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0:0.81-5.mga5
+ Revision: 628445
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0:0.81-4.mga4
+ Revision: 542965
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0:0.81-3.mga4
+ Revision: 498071
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 0:0.81-2.mga4
+ Revision: 490506
+ rebuild (emptylog)

* Thu Aug 08 2013 philippem <philippem> 0:0.81-1.mga4
+ Revision: 464651
- Update to 0.81, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 0:0.75-2.mga3
+ Revision: 378441
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jul 04 2011 ahmad <ahmad> 0:0.75-1.mga2
+ Revision: 118015
- Update to 0.75

* Wed Apr 06 2011 ahmad <ahmad> 0:0.74-1.mga1
+ Revision: 80971
- update to 0.74
- update the URL and the Source url
- imported package python-IPy


* Thu Nov 25 2010 Funda Wang <fwang@mandriva.org> 0:0.72-1mdv2011.0
+ Revision: 600935
- update to new version 0.72

* Fri Nov 19 2010 Funda Wang <fwang@mandriva.org> 0:0.71-2mdv2011.0
+ Revision: 598913
- rebuild for py2.7

* Sat Oct 23 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0:0.71-1mdv2011.0
+ Revision: 587725
- update to new version 0.71

* Sun Jan 10 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0:0.70-1mdv2010.1
+ Revision: 489249
- new version

* Sat Jul 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0:0.63-1mdv2010.0
+ Revision: 397064
- update to new version 0.63

* Sat Jan 03 2009 Funda Wang <fwang@mandriva.org> 0:0.62-2mdv2009.1
+ Revision: 323528
- rebuild

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0:0.62-1mdv2009.0
+ Revision: 280551
- New release

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 0:0.55-4mdv2009.0
+ Revision: 259648
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 0:0.55-3mdv2009.0
+ Revision: 247487
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0:0.55-1mdv2008.1
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + David Walluck <walluck@mandriva.org>
    - 0.55


* Sat Jan 20 2007 David Walluck <walluck@mandriva.org> 0.52-1mdv2007.0
+ Revision: 110982
- 0.52

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0:0.51-2mdv2007.1
+ Revision: 96523
- Rebuild against new python

* Thu Nov 02 2006 David Walluck <walluck@mandriva.org> 0:0.51-1mdv2007.1
+ Revision: 75609
- 0.51

* Mon Oct 16 2006 David Walluck <walluck@mandriva.org> 0:0.42-3mdv2007.1
+ Revision: 65303
- sync with 2mdv
- Import python-IPy

* Sun Sep 17 2006 David Walluck <walluck@mandriva.com> 0:0.42-1mdv2007.0
- release

